<?php

$ngo_organization_tp_theme_css = '';

//theme-color
$ngo_organization_tp_color_option = get_theme_mod('ngo_organization_tp_color_option');

// 1st color
$ngo_organization_tp_color_option = get_theme_mod('ngo_organization_tp_color_option', '#4ac6b9');
if ($ngo_organization_tp_color_option) {
	$ngo_organization_tp_theme_css .= ':root {';
	$ngo_organization_tp_theme_css .= '--color-primary1: ' . esc_attr($ngo_organization_tp_color_option) . ';';
	$ngo_organization_tp_theme_css .= '}';
}

//hover color
$ngo_organization_tp_color_option_link = get_theme_mod('ngo_organization_tp_color_option_link');
$ngo_organization_tp_color_option_link = get_theme_mod('ngo_organization_tp_color_option_link', '#db5f5f');
if ($ngo_organization_tp_color_option_link) {
	$ngo_organization_tp_theme_css .= ':root {';
	$ngo_organization_tp_theme_css .= '--color-primary2: ' . esc_attr($ngo_organization_tp_color_option_link) . ';';
	$ngo_organization_tp_theme_css .= '}';
}

//preloader//
$ngo_organization_tp_preloader_color1_option = get_theme_mod('ngo_organization_tp_preloader_color1_option');
$ngo_organization_tp_preloader_color2_option = get_theme_mod('ngo_organization_tp_preloader_color2_option');
$ngo_organization_tp_preloader_bg_option = get_theme_mod('ngo_organization_tp_preloader_bg_option');


if($ngo_organization_tp_preloader_color1_option != false){
$ngo_organization_tp_theme_css .='.center1{';
	$ngo_organization_tp_theme_css .='border-color: '.esc_attr($ngo_organization_tp_preloader_color1_option).' !important;';
$ngo_organization_tp_theme_css .='}';
}
if($ngo_organization_tp_preloader_color1_option != false){
$ngo_organization_tp_theme_css .='.center1 .ring::before{';
	$ngo_organization_tp_theme_css .='background: '.esc_attr($ngo_organization_tp_preloader_color1_option).' !important;';
$ngo_organization_tp_theme_css .='}';
}
if($ngo_organization_tp_preloader_color2_option != false){
$ngo_organization_tp_theme_css .='.center2{';
	$ngo_organization_tp_theme_css .='border-color: '.esc_attr($ngo_organization_tp_preloader_color2_option).' !important;';
$ngo_organization_tp_theme_css .='}';
}
if($ngo_organization_tp_preloader_color2_option != false){
$ngo_organization_tp_theme_css .='.center2 .ring::before{';
	$ngo_organization_tp_theme_css .='background: '.esc_attr($ngo_organization_tp_preloader_color2_option).' !important;';
$ngo_organization_tp_theme_css .='}';
}
if($ngo_organization_tp_preloader_bg_option != false){
$ngo_organization_tp_theme_css .='.loader{';
	$ngo_organization_tp_theme_css .='background: '.esc_attr($ngo_organization_tp_preloader_bg_option).';';
$ngo_organization_tp_theme_css .='}';
}

// footer-bg-color
$ngo_organization_tp_footer_bg_color_option = get_theme_mod('ngo_organization_tp_footer_bg_color_option');

if($ngo_organization_tp_footer_bg_color_option != false){
$ngo_organization_tp_theme_css .='#footer{';
	$ngo_organization_tp_theme_css .='background: '.esc_attr($ngo_organization_tp_footer_bg_color_option).' !important;';
$ngo_organization_tp_theme_css .='}';
}

// logo tagline color
$ngo_organization_site_tagline_color = get_theme_mod('ngo_organization_site_tagline_color');

if($ngo_organization_site_tagline_color != false){
$ngo_organization_tp_theme_css .='.logo h1 a, .logo p.site-title a{';
$ngo_organization_tp_theme_css .='color: '.esc_attr($ngo_organization_site_tagline_color).';';
$ngo_organization_tp_theme_css .='}';
}

$ngo_organization_logo_tagline_color = get_theme_mod('ngo_organization_logo_tagline_color');
if($ngo_organization_logo_tagline_color != false){
$ngo_organization_tp_theme_css .='.logo p.site-description{';
$ngo_organization_tp_theme_css .='color: '.esc_attr($ngo_organization_logo_tagline_color).';';
$ngo_organization_tp_theme_css .='}';
}

// footer widget title color
$ngo_organization_footer_widget_title_color = get_theme_mod('ngo_organization_footer_widget_title_color');
if($ngo_organization_footer_widget_title_color != false){
$ngo_organization_tp_theme_css .='#footer h3{';
$ngo_organization_tp_theme_css .='color: '.esc_attr($ngo_organization_footer_widget_title_color).';';
$ngo_organization_tp_theme_css .='}';
}

// copyright text color
$ngo_organization_footer_copyright_text_color = get_theme_mod('ngo_organization_footer_copyright_text_color');
if($ngo_organization_footer_copyright_text_color != false){
$ngo_organization_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$ngo_organization_tp_theme_css .='color: '.esc_attr($ngo_organization_footer_copyright_text_color).';';
$ngo_organization_tp_theme_css .='}';
}

// header image title color
$ngo_organization_header_image_title_text_color = get_theme_mod('ngo_organization_header_image_title_text_color');
if($ngo_organization_header_image_title_text_color != false){
$ngo_organization_tp_theme_css .='.box-text h2{';
$ngo_organization_tp_theme_css .='color: '.esc_attr($ngo_organization_header_image_title_text_color).';';
$ngo_organization_tp_theme_css .='}';
}

// menu color
$ngo_organization_menu_color = get_theme_mod('ngo_organization_menu_color');
if($ngo_organization_menu_color != false){
$ngo_organization_tp_theme_css .='.main-navigation a{';
$ngo_organization_tp_theme_css .='color: '.esc_attr($ngo_organization_menu_color).';';
$ngo_organization_tp_theme_css .='}';
}

// header
$ngo_organization_slider_arrows = get_theme_mod('ngo_organization_slider_arrows', true);
if($ngo_organization_slider_arrows == false){
$ngo_organization_tp_theme_css .='.page-template-front-page .top-header{';
    $ngo_organization_tp_theme_css .='position:static; background:#4ac6b9;';
$ngo_organization_tp_theme_css .='}';
}

//Footer Font Weight
$ngo_organization_footer_copyright_title_font_weight = get_theme_mod( 'ngo_organization_footer_copyright_title_font_weight','');
if($ngo_organization_footer_copyright_title_font_weight == '100'){
$ngo_organization_tp_theme_css .='#footer .site-info p {';
    $ngo_organization_tp_theme_css .='font-weight: 100;';
$ngo_organization_tp_theme_css .='}';
}else if($ngo_organization_footer_copyright_title_font_weight == '200'){
$ngo_organization_tp_theme_css .='#footer .site-info p {';
    $ngo_organization_tp_theme_css .='font-weight: 200;';
$ngo_organization_tp_theme_css .='}';
}else if($ngo_organization_footer_copyright_title_font_weight == '300'){
$ngo_organization_tp_theme_css .='#footer .site-info p {';
    $ngo_organization_tp_theme_css .='font-weight: 300;';
$ngo_organization_tp_theme_css .='}';
}else if($ngo_organization_footer_copyright_title_font_weight == '400'){
$ngo_organization_tp_theme_css .='#footer .site-info p {';
    $ngo_organization_tp_theme_css .='font-weight: 400;';
$ngo_organization_tp_theme_css .='}';
}else if($ngo_organization_footer_copyright_title_font_weight == '500'){
$ngo_organization_tp_theme_css .='#footer .site-info p {';
    $ngo_organization_tp_theme_css .='font-weight: 500;';
$ngo_organization_tp_theme_css .='}';
}else if($ngo_organization_footer_copyright_title_font_weight == '600'){
$ngo_organization_tp_theme_css .='#footer .site-info p {';
    $ngo_organization_tp_theme_css .='font-weight: 600;';
$ngo_organization_tp_theme_css .='}';
}else if($ngo_organization_footer_copyright_title_font_weight == '700'){
$ngo_organization_tp_theme_css .='#footer .site-info p {';
    $ngo_organization_tp_theme_css .='font-weight: 700;';
$ngo_organization_tp_theme_css .='}';
}else if($ngo_organization_footer_copyright_title_font_weight == '800'){
$ngo_organization_tp_theme_css .='#footer .site-info p {';
    $ngo_organization_tp_theme_css .='font-weight: 800;';
$ngo_organization_tp_theme_css .='}';
}else if($ngo_organization_footer_copyright_title_font_weight == '900'){
$ngo_organization_tp_theme_css .='#footer .site-info p {';
    $ngo_organization_tp_theme_css .='font-weight: 900;';
$ngo_organization_tp_theme_css .='}';
}